#property indicator_separate_window
#property indicator_buffers 7
#property indicator_color1 clrNONE
#property indicator_color2 clrAqua
#property indicator_color3 clrLime
#property indicator_color4 clrRed
#property indicator_color5 clrAqua
#property indicator_color6 clrAqua
#property indicator_color7 clrAqua

#property indicator_width2 2;
#property indicator_width5 2;
#property indicator_width6 1;
#property indicator_width7 1;
//---- input parameters
extern int Periodi = 14;
extern double Deviazioni = 3;
extern double Deviazioni2 = 2;
extern int Media = 1000;

//---- buffers
double VIXBuffer[];
double VIXBufferB[];
double VIXBufferS[];
double BolB[];
double BolS[];
double BolB2[];
double BolS2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   string short_name;

   SetIndexStyle(0, DRAW_LINE);
   SetIndexBuffer(0, VIXBuffer);
   
   SetIndexStyle(1, DRAW_LINE);
   SetIndexBuffer(1, BolB);
   
   SetIndexStyle(2, DRAW_LINE);
   SetIndexBuffer(2, VIXBufferB);
   
   SetIndexStyle(3, DRAW_LINE);
   SetIndexBuffer(3, VIXBufferS);
   
   SetIndexStyle(4, DRAW_LINE);
   SetIndexBuffer(4, BolS);
   
   SetIndexStyle(5, DRAW_LINE);
   SetIndexBuffer(5, BolB2);
   
   SetIndexStyle(6, DRAW_LINE);
   SetIndexBuffer(6, BolS2);

   short_name="VIX";
   IndicatorShortName(short_name);
   SetIndexLabel(0,short_name);
   
   short_name="BOLL";
   SetIndexLabel(1,short_name);
//----
   SetIndexDrawBegin(0,Periodi);
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Relative Strength Index                                          |
//+------------------------------------------------------------------+
int start() {
   if (Bars <= Periodi) return(0);

   int counted_bars = IndicatorCounted();
   if (counted_bars > 0) counted_bars--;
   int limit = Bars - counted_bars;

   for(int i = 0; i < limit; i++)
   {
      double h = Close[iHighest( 0 , 0, MODE_CLOSE, Periodi, i)];
      VIXBuffer[i] = (h - Low[i]) / h * 100.0;
      
      //Boll[i] = iBandsOnArray(VIXBuffer, 0, Media, Deviazioni, 0, MODE_UPPER, i);
   }

   for(i = 0; i < limit; i++)
   {
      double l = Close[iLowest( 0 , 0, MODE_CLOSE, Periodi, i)];
      VIXBufferS[i] = (High[i] - l) / l * 100.0;
      
      //Boll[i] = iBandsOnArray(VIXBuffer, 0, Media, Deviazioni, 0, MODE_UPPER, i);
   }
   
   for (i=0; i < limit; i++)
   {
      BolB[i] = -iBandsOnArray(VIXBuffer, 0, Media, Deviazioni, 0, MODE_UPPER, i);
   }
   
   for (i=0; i < limit; i++)
   {
      BolS[i] = iBandsOnArray(VIXBufferS, 0, Media, Deviazioni, 0, MODE_UPPER, i);
   }
   
   for (i=0; i < limit; i++)
   {
      BolB2[i] = -iBandsOnArray(VIXBuffer, 0, Media, Deviazioni2, 0, MODE_UPPER, i);
   }
   
   for (i=0; i < limit; i++)
   {
      BolS2[i] = iBandsOnArray(VIXBufferS, 0, Media, Deviazioni2, 0, MODE_UPPER, i);
   }
   
   for(i = 0; i < limit; i++)
      VIXBufferB[i] = -VIXBuffer[i];
   
   //Print(iBandsOnArray(VIXBuffer, 0, Media, Deviazioni, 0, MODE_UPPER, 1));
   
   return(0);
}
//+------------------------------------------------------------------+
